/* Estilos generales */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #163A5E;
}
h1{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 6.5em;
    color:#778da9;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
}

.filter-opacity {
            filter: opacity(0.6); /* Similar a opacity pero con filter */
        }


/* Menú de Navegación Desplegable */
.menu-navegacion ul {
    list-style: none;
    background-color: #fff;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
}


.menu-navegacion li {
    position: relative;
}

.menu-navegacion a {
    display: block;
    color: #333;
    text-align: center;
    padding: 14px 20px;
    text-decoration: none;
}

.menu-navegacion .submenu {
    display: none;
    position: absolute;
    background-color: #555;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.menu-navegacion .submenu a {
    padding: 12px 16px;
    text-align: left;
}

.menu-navegacion .tiene-submenu:hover .submenu {
    display: block;
}

/* Carrusel de Imágenes */
.carrusel-contenedor {
    position: relative;
    overflow: hidden;
    max-width: 1200px;
    margin: 50px auto;
    border: 1px solid #ccc;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
}

.carrusel {
    display: flex;
    transition: transform 0.5s ease-in-out;
}

.carrusel-item {
    min-width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    background-color: white;
}

.carrusel-item img {
    width: 40%;
    height: auto;
    object-fit: cover;
}

.carrusel-texto {
    padding: 20px;
    width: 50%;
    box-sizing: border-box;
}

.carrusel-texto h2 {
    margin-top: 0;
}

.boton-modal {
    padding: 10px 20px;
    background-color: #333;
    color: white;
    border: none;
    cursor: pointer;
    font-size: 16px;
}

/* Estilos para los botones de navegación */
.carrusel-boton {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    padding: 15px;
    font-size: 24px;
    cursor: pointer;
    z-index: 2;
}

.boton-izquierdo {
    left: 10px;
}

.boton-derecho {
    right: 10px;
}

@media (max-width: 768px) {
    
    .carrusel-item {
        flex-direction: column; /* Apila la imagen y el texto uno encima del otro */
        text-align: center; /* Centra el texto */
    }

    .carrusel-item img {
        width: 100%; /* La imagen ocupa todo el ancho del contenedor */
        height: auto;
    }

    .carrusel-texto {
        width: 100%; /* El texto ocupa todo el ancho */
        padding: 15px; /* Reduce el padding para pantallas pequeñas */
    }

    .carrusel-boton {
        padding: 10px; /* Reduce el tamaño de los botones */
        font-size: 20px;
    }
}

/* Modales */
.modal {
    display: none;
    position: fixed;
    z-index: 10;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.6);
    justify-content: center;
    align-items: center;
}

.modal-contenido {
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    width: 80%;
    max-width: 600px;
    position: relative;
    transition:opacity .6s ;
}

.cerrar-modal {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 24px;
    font-weight: bold;
    cursor: pointer;
    transition:opacity .6s ;
}